//
// NTSHELL.H  C language header file for NTSHELL.C
//

#define UINT unsigned int
#define VOID void
#define TRUE 1
#define FALSE 0

#define INPUTSIZE 80
#define MAXEXENAMESIZE 256

// macro to return number of elements in a structure 
#define dim(x) (sizeof(x) / sizeof(x[0]))

// local function prototypes
UINT intrinsic(char *);	
VOID extrinsic(char *);
VOID getCommand(char *);
VOID getComspec(char *);
VOID putMsg(char *);
VOID doCls(char *);
VOID doDos(char *);
VOID doExit(char *);
VOID doKill(char *);
DWORD supervisor(HANDLE);

// lookup table structure
struct decodeCmd {		 
	char * name;
	VOID (*fxn)(char *); } ;

